Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468854 - app-arch/lrzip: keyword for app-arch/libarchive
Summary: app-arch/lrzip: keyword for app-arch/libarchive
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 458184 465684
  Show dependency tree
 
Reported: 2013-05-07 10:57 UTC by Samuli Suominen (RETIRED)
Modified: 2020-07-13 18:09 UTC (History)
1 user (show)

See Also:
Package list:
app-arch/lrzip-0.631_p20190619
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen (RETIRED) gentoo-dev 2013-05-07 10:57:39 UTC
libarchive is missing lrzip dependency, please keyword lrzip so dependencies of libarchive can be fixed

lrzip-0.614.ebuild:KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"

libarchive-3.1.2-r1.ebuild:KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
Comment 1 Naohiro Aota gentoo-dev 2013-05-07 23:00:51 UTC
~x86-fbsd done.
Comment 2 Markus Meier gentoo-dev 2013-05-11 07:35:22 UTC
~arm added.
Comment 3 Alexis Ballier gentoo-dev 2013-05-19 16:36:45 UTC
amd64-fbsd done
Comment 4 Fabian Groffen gentoo-dev 2013-07-01 19:29:46 UTC
lrzip is not compiling.  I made some patches, but it seems there is some horror with mixage of c and c++, and not getting it right in the build system causing linkage errors.  Not continuing here for the moment.
Comment 5 Matt Turner gentoo-dev 2013-08-17 04:27:26 UTC
Added ~mips.
Comment 6 Matt Turner gentoo-dev 2014-01-03 03:26:24 UTC
added ~alpha
Comment 7 Akinori Hattori gentoo-dev 2014-01-26 13:13:02 UTC
ia64 done
Comment 8 Fabian Groffen gentoo-dev 2017-12-11 17:28:51 UTC
prefix done
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-26 14:07:52 UTC
SuperH port disbanded.
Comment 10 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2020-07-13 18:09:37 UTC
~s390 added, closing